Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gpgme
Version:	1.1.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.gnupg.org/gpgme.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	GPGME - GnuPG Made Easy.
Requires:	gnupg
BuildRequires:	make
Prereq(post,preun): /sbin/install-info

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.
For more details see: http://www.gnupg.org/gpgme.html

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/gpgme.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %_infodir/gpgme.info.gz %_infodir/dir
fi

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--enable-static
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_infodir

%files devel
%defattr(-,root,root)
%_includedir
%_bindir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_datadir/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 09 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.0-1
- Update to Version 1.1.0